local BASE = (...):gsub('spacer$', '')

local Widget = require(BASE..'widget')

-- Spacers don't accept focus
local Spacer = setmetatable({
    nofocus = true,
    __call = function(cls, args) return cls.new(args) end
}, Widget)
Spacer.__index = Spacer


function Spacer.new(args) return setmetatable(args, Spacer) end

return Spacer
